import request from '@/utils/request'

const dictionaryApi = {
  add: '/sys/dictionary/add',
  update: '/sys/dictionary/edit',
  del: '/sys/dictionary/del',
  page: '/sys/dictionary/pageList'
}

export function dictionaryAdd (params) {
  return request({
    url: dictionaryApi.add,
    method: 'post',
    data: params
  })
}
export function dictionaryUpdate (params) {
  return request({
    url: dictionaryApi.update,
    method: 'post',
    data: params
  })
}
export function dictionaryDel (params) {
  return request({
    url: dictionaryApi.del,
    method: 'post',
    params: params
  })
}
export function dictionaryPage (params) {
  console.log(params)
  return request({
    url: dictionaryApi.page,
    method: 'get',
    params: params
  })
}
